%global modname units

Name:           python-%{modname}
Version:        0.06
Release:        2%{?dist}
Summary:        Python support for quantities with units

License:        Python
URL:            https://pypi.python.org/pypi/units
Source0:        https://pypi.python.org/packages/source/u/units/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Provides support for quantities and units, which strictly disallow invalid\
operations between incompatible quantities. For example, we cannot add\
2 metres to 5 seconds, because this doesn’t make sense.

%description %{_description}

%package -n python2-%{modname}
Summary:        Python support for quantities with units
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-pytest

%description -n python2-%{modname} %{_description}

Python 2 version.

%package -n python3-%{modname}
Summary:        Python support for quantities with units
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description -n python3-%{modname} %{_description}

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
pushd %{modname}
  py.test-2 -v tests/
  py.test-3 -v tests/
popd

%files -n python2-%{modname}
%license units/LICENSE
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license units/LICENSE
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}/

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.06-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Mar 29 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.06-1
- Initial package
